VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Techpreview::Monitoring::Snmp Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Monitoring::Snmp:

## Classes
class | SNMPAuthProto
class | SNMPConfig
class | SNMPConfigReadOnly
class | SNMPHashConfig
class | SNMPHashResults
class | SNMPLimits
class | SNMPPrivProto
class | SNMPRemoteUser
class | SNMPSecLevel
class | SNMPStats
class | SNMPTestResults
class | SNMPUser
class | SNMPv1TrapTarget
class | SNMPv3Notfication
class | SNMPv3Target

## Avaliable Methods
public method | test ()
public method | enable ()
public method | stats ()
public method | hash ()
public method | limits ()
public method | reset ()
public method | get ()
public method | new ()
public method | disable ()
public method | set ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Monitoring::Snmp` interface provides methods* SNMP agent operations.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::disable | ( |  | ) |

Stop an enabled SNMP agent.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in disable: 4
sub disable {
my ($self, %args) = @_;
return $self->invoke(method_name => 'disable', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::enable | ( |  | ) |

Start a disabled SNMP agent.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in enable: 4
sub enable {
my ($self, %args) = @_;
return $self->invoke(method_name => 'enable', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::get | ( |  | ) |

Return an SNMP agent configuration.

Return values

  SNMP | config structure The return type will be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfigReadOnly

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in get: 4
sub get {
my ($self, %args) = @_;
return $self->invoke(method_name => 'get', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::hash | ( |  | ) |

Generate localized keys for secure SNMPv3 communications.

Parameters

  config | [REQUIRED] SNMP hash configuration. . The value must be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashConfig.

Return values

  SNMP | hash result The return type will be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPHashResults

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in hash: 10
sub hash {
my ($self, %args) = @_;
my $config = $args {config};
$self->validate_args (method_name => 'hash',
method_args => \%args);
return $self->invoke (method_name => 'hash',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::limits | ( |  | ) |

Get SNMP limits information.

Return values

  SNMP | limits structure The return type will be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPLimits

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in limits: 4
sub limits {
my ($self, %args) = @_;
return $self->invoke(method_name => 'limits', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::reset | ( |  | ) |

Restore settings to factory defaults.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in reset: 4
sub reset {
my ($self, %args) = @_;
return $self->invoke(method_name => 'reset', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::set | ( |  | ) |

Set SNMP configuration.

Parameters

  config | [REQUIRED] SNMP configuration. . The value must be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPConfig.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in set: 10
sub set {
my ($self, %args) = @_;
my $config = $args {config};
$self->validate_args (method_name => 'set',
method_args => \%args);
return $self->invoke (method_name => 'set',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::stats | ( |  | ) |

Generate diagnostics report for snmp agent.

Return values

  SNMP | stats The return type will be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPStats

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in stats: 4
sub stats {
my ($self, %args) = @_;
return $self->invoke(method_name => 'stats', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::test | ( |  | ) |

Send a warmStart notification to all configured traps and inform destinations (see RFC 3418).

Return values

  SNMP | test result The return type will be Com::Vmware::Appliance::Techpreview::Monitoring::Snmp::SNMPTestResults

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in test: 4
sub test {
my ($self, %args) = @_;
return $self->invoke(method_name => 'test', method_args => {});
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Monitoring/Snmp.pm